import {json} from '@utils/ajax';
import store from '@store';
import {getUrlArgObject} from '@utils/tools';
import { GET_PREC_LIST,SET_PREC_SHOW } from "../types/preIcss";
import config from '@config/index';
import {Notify} from '@commonComp';

export const getPreMsg = () => {
    let baseList = store.getState().patInfo.message;
    const inCode = config.preIcss.recordIdVal===-1?getUrlArgObject("recordId"):config.preIcss.recordIdVal;
    json('/api/prec/inquiryInfo/hisInquirys', {
        "isHaveDetail":1,
        "hospitalCode": baseList.hospitalCode,
        "inquiryCode":inCode,
        "patientCode": baseList.patientCode,
        "dayLimit":config.preIcss.deadline===-1?undefined:config.preIcss.deadline,

        // "doctorCode": baseList,
        // "doctorId": baseList.doctorId,
        // "hospitalDeptCode": baseList.hospitalDeptCode,
        // "hospitalDeptId": baseList.hospitalDeptId,
        // "hospitalId": baseList.hospitalId,
        // "patientId": baseList.patientId,
        // "patientIdNo": baseList.patientIdNo,
        // "patientName": baseList.patientName
    },true).then((res) => {
        const data = res.data;
        if (data.code == 0) {
            let result = data.data;
            if(result.length > 0){
              store.dispatch({type:SET_PREC_SHOW})
            }else{
              Notify.info('暂无预问诊信息');
            }
            store.dispatch({type:GET_PREC_LIST,preData:result});
        } else {
            // console.log(res)
        }
    })
}

export const tellPred = () => {
    let baseList = store.getState().homePage.item;
    const inCode = config.preIcss.recordIdVal===-1?getUrlArgObject("recordId"):config.preIcss.recordIdVal;
    json('/api/prec/inquiryInfo/inquiryQuoteForIcss', {
        "hospitalCode": baseList.hospitalCode,
        "inquiryCode":inCode,
        "patientCode": baseList.patientCode,

        "doctorCode":baseList.doctorCode,
        "doctorId": baseList.doctorId,
        "doctorName":baseList.doctorName,
        "hospitalDeptCode":baseList.hospitalDeptCode,
        "hospitalDeptId": baseList.hospitalDeptId,
        "hospitalDeptName":baseList.hospitalDeptName,
        "hospitalId": baseList.hospitalId,
        "hospitalName":baseList.hospitalName,
        "inquiryId": baseList.id,
        "patientId": baseList.patientId,
        "patientIdNo":baseList.patientIdNo,
        "patientName":baseList.patientName,
        "patientPhone":baseList.patientPhone,
        "patientSex": baseList.patientSex,
        "sonHospitalCode":baseList.sonHospitalCode,
        "sonHospitalId": baseList.sonHospitalId,
        "sonHospitalName":baseList.sonHospitalName
    },true).then((res) => {
      
    })
}
